VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "obj"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Public ItemType As Long
Public FloorGraphic As Byte
Public Combos As Byte
Public WearLocs As Long
Public wearlocation As Long



'word5: mask of locations it can be worn
'0x0001 = consumable


'byte3:number for pointer to graphic information
'byte4:combo slot #

Public Function wearlocnum(num As Integer) As Byte
    wearlocnum = (WearLocs And 2 ^ num) / 2 ^ num
End Function
Public Function setwearlocnum(num As Integer)
    Dim mask As Long
    Dim add As Long
    
    add = 2 ^ wearlocation
    mask = 65535 - add
    WearLocs = (WearLocs And mask)
    If num = 1 Then
        WearLocs = (WearLocs + add)
    End If
End Function

